# Sign Up

## How to join the system

Tilde Black's registration is a bit different from what you may
have encountered in other public access Unix systems.

## Sending a request

Send an email to  **admin** [at] **tilde.black** user with an SSH
public key that you will use for authentication. The newer
[Ed25519](ed25519.md) keys are recommended, but any valid ssh key
is acceptable. Some users enjoy using GPG keys for authentication
using the `--export-ssh-key` option.

## Receiving your invitation

Once your public key has been received, the administrator will
assign 10 random user accounts to your control. You will receive
an email response with the list of user accounts you can now log
into using your key.

Tilde Black has 10490 user accounts available, generated from
4 and 5 letter word lists. By assigning you 10 random selections
from already-created users we hide your user creation date from
others on the system and provide you a means of anonymity to other
users. You may use any or all of these user accounts. They are all
fully-featured.

## Logging in

It is recommended that users connect to ssh over tor to hide their
IP address from other users on the system. [instructions to
follow] Once logged in, each of your 10 user accounts will have an
email waiting that includes that account's password. Please change
the password when you first log in by using the `passwd` command.
This password is not used for login authentication, but will be
necessary for some operations like changing your shell (`chsh`).

Tilde Black does not run its _sshd_ service on port 22, but rather
on port 2222. To connect, use the `-p 2222` switch like so:

```bash
ssh <username>@tilde.black -p 2222
# or
ssh <username>@black6kfjetfuzaeozz7fs53whh7xtd4e27telrf5fg5kgdt5ah5plad.onion -p 2222
```

_More information about [ssh over tor](ssh-over-tor.md)._

## The basics

Your users have a `~/public_gopher`, `~/public_html`, and
`~/public_gemini` folder available. By creating a root
`gophermap`, `index.html`, or `index.gmi` file in their respective
folder you will enable your gopher hole, website, or Gemini space
for that user. Your user will also appear on the user-lists for
gopher, web, or Gemini within the next 12 hours.
